import { prisma } from "./prisma";

export class Glue {
  static async getBridges(
    opts:
      | { discord_guild: string; discord_channel: string }
      | { matrix_room: string }
  ) {
    if ("discord_guild" in opts) {
      const bridges = await prisma.bridged.findMany({
        where: {
          discord_guild_id: opts.discord_guild,
          discord_channel_id: opts.discord_channel,
        },
      });

      return bridges;
    }

    if ("matrix_room" in opts) {
      const bridges = await prisma.bridged.findMany({
        where: {
          matrix_room_id: opts.matrix_room,
        },
      });

      return bridges;
    }

    throw new Error("Missing required arguments");
  }
}
